'use strict'
// Template version: 1.3.1
// see http://vuejs-templates.github.io/webpack for documentation.

const path = require('path')

module.exports = {
  dev: {
    // Paths
    assetsSubDirectory: 'static',
    assetsPublicPath: '/',
    // Various Dev Server settings
    host: 'localhost', // can be overwritten by process.env.HOST/*  */
    // host: '192.168.1.109',
    port: 8080, // can be overwritten by process.env.PORT, if port is in use, a free one wil      l be determined
    autoOpenBrowser: true,
    errorOverlay: true,
    notifyOnErrors: true,
    proxyTable: {
      '/api': {
        // target: 'http://192.168.101.105:8080',
        // target: 'http://127.174.238.32:8087', //测试环境
        // target: 'http://10.92.181.59:8000',//河南环境
        // target: 'http://10.92.181.59:8000',//河南测试环境
        //target: 'http://10.87.44.69:29091/ease-flow-console-v2/flowapi',
        // target: 'http://127.0.0.1:8080/ease-flow-console-v2/flowapi',
        target: 'http://192.168.50.3:12128/api',
        //target: 'http://127.174.228.181:7011',
        changeOrigin: true,
        pathRewrite: { '^/api': '/' }
      }
    },
    poll: false, // https://webpack.js.org/configuration/dev-server/#devserver-watchoptions-
    /**
     * Source Maps
     */

    // https://webpack.js.org/configuration/devtool/#development
    devtool: 'cheap-module-eval-source-map',
    // If you have problems debugging vue-files in devtools,
    // set this to false - it *may* help
    // https://vue-loader.vuejs.org/en/options.html#cachebusting
    cacheBusting: true,
    cssSourceMap: true
  },

  build: {
    // Template for index.html
    index: path.resolve(__dirname, '../dist/index.html'),

    // Paths
    assetsRoot: path.resolve(__dirname, '../dist'),
    assetsSubDirectory: 'static',
    assetsPublicPath: './',

    /**
     * Source Maps
     */

    productionSourceMap: false,
    // https://webpack.js.org/configuration/devtool/#production
    devtool: '#source-map',

    // Gzip off by default as many popular static hosts such as
    // Surge or Netlify already gzip all static assets for you.
    // Before setting to `true`, make sure to:
    // npm install --save-dev compression-webpack-plugin
    productionGzip: true,
    productionGzipExtensions: ['js', 'css'],

    // Run the build command with an extra argument to
    // View the bundle analyzer report after build finishes:
    // `npm run build --report`
    // Set to `true` or `false` to always turn it on or off
    bundleAnalyzerReport: process.env.npm_config_report
  }
}


